Bug 1347309 - NPE when CTE and subuquery without a WITH clause are pushed together
Summary: NPE when CTE and subuquery without a WITH clause are pushed together
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ER5
: 6.3.0
Assignee: Van Halbert
QA Contact: Andrej Smigala
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-16 13:45 UTC by Andrej Smigala
Modified: 2016-08-24 11:42 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-24 11:42:13 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker TEIID-4272 Major Closed NPE when CTE and subuquery without a WITH clause are pushed together 2016-09-14 06:28:29 UTC

Description Andrej Smigala 2016-06-16 13:45:44 UTC
With a query such as:

WITH qry_0 as /*+ no_inline */ (SELECT e2 AS a1, e1 as str FROM pm1.g1 AS t) select (select e1 from pm1.g1) as x, a1 from qry_0

that is pushed together to the source, the relationalplanner will throw an NPE when pulling up any nested with clauses because there is no with clause assigned to the subquery.

Comment 2 JBoss JIRA Server 2016-06-16 15:21:11 UTC
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-4272 to Resolved

Comment 3 JBoss JIRA Server 2016-07-03 23:47:25 UTC
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-4272 to Closed


Note You need to log in before you can comment on or make changes to this bug.